<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


include("../conf/preferences.php");
session_name(SYS_APP_SESSNAME);
session_start();
include("../conf/langs/".$langs[$_SESSION['userlang']][0]."/MAIN.php");
include("../conf/connections.php");
include("../phplib/auth.php");
require_once("../phplib/utils.php");
require_once("../phplib/phpmailer/class.phpmailer.php");
require_once("../core/plugins.php");


$resId=$_SESSION['currentRes'];
$master=simplexml_load_file("../conf/resources/".$langs[$_SESSION['userlang']][0]."/".$_SESSION['conf'][$resId]->masterview);
$detail=simplexml_load_file("../conf/forms/".$langs[$_SESSION['userlang']][0]."/".$_SESSION['conf'][$resId]->detailview);


$process=new UserProcessing();

function fileExists($image,$dir) {
   $i=1; $probeer=$image;
	while(file_exists("../../".$dir.$probeer)) {		
       $punt=strrpos($image,".");
       if(substr($image,($punt-3),1)!==("[") && substr($image,($punt-1),1)!==("]")) {
           $probeer=substr($image,0,$punt)."[".$i."]".
           substr($image,($punt),strlen($image)-$punt);
       } else {
           $probeer=substr($image,0,($punt-3))."[".$i."]".
           substr($image,($punt),strlen($image)-$punt);
       }
       $i++;
   }
   return $probeer;
}

$nombre='';								
$nombrefinal='';						
$errores='';							

$control=$_SESSION['imgproc_control'];

$tempnodo=$detail->xpath("//control[@name='".$control."']");
$nodo=$tempnodo[0];

$destinofinal=SYS_BASE_PATH . SYS_BASE_UPLOAD . $nodo->uploaddir . "/";
	
if((string)$nodo->autorename=="true"){
	$tmp=fileExists(basename($_FILES['archivo']['name']),$destinofinal);
}else{
	$tmp=basename($_FILES['archivo']['name']);
}


if($errores==''){
	$nombre=$tmp;
	$nombrefinal=session_id()."_".$tmp;
	
	$_SESSION['uploads'][$resId][$control]=$destinofinal.$tmp;
	
	$uploaddir = "../../" . SYS_TEMP_UPLOADS;
	$uploadfile = $uploaddir . $nombrefinal;
	
	if(!move_uploaded_file($_FILES['archivo']['tmp_name'], $uploadfile)){
		$errores.="- " . FILECTRL_NO_TMPDIR . "<br />";
	}else{
		echo $uploadfile;
		chmod($uploadfile,0777);
	}
}

?>